## visad.data.hdfeos.hdfeosc
Class HdfeosLib

    java.lang.Object
      visad.data.hdfeos.hdfeosc.HdfeosLib

public class HdfeosLib
extends Object

Field Summary
`static int` `BYTE`
`static int` `D_FIELDS`
`static String` `D_TYPE`
`static int` `DFACC_READ`
`static int` `DOUBLE`
`static int` `FLOAT`
`static int` `G_FIELDS`
`static int` `G_MAPS`
`static String` `G_TYPE`
`static int` `HDFE_mode`
`static int` `INT`
`static int` `N_DIMS`
`static int` `SHORT`
`static int` `U_BYTE`
`static int` `U_SHORT`

Constructor Summary
`HdfeosLib()`

Method Summary
`static int` `EHchkfid(int file_id, String name, int[] HDFfid, int[] sd_id, byte[] acc)`
`static int` `EHclose(int file_id)`
`static int` `EHgetcal(int sd_id, int sds_idx, double[] cal, double[] cal_err, double[] off, double[] off_err, int[] type)`
`static int` `GDattach(int file_id, String grid_name)`
`static int` `GDfdims(int swath_id, String name, int[] strSize)`
`static int` `GDfieldinfo(int grid_id, String name, String[] list, int[] rank, int[] length, int[] type)`
`static int` `GDgridinfo(int grid_id, int[] xsiz, int[] ysiz, double[] uprL, double[] lwrR)`
`static int` `GDinqattrs(int grid_id, String[] attr_list)`
`static int` `GDinqdims(int grid_id, int size, String[] dimList, int[] lengths)`
`static int` `GDinqfields(int grid_id, int size, String[] list, int[] ranks, int[] types)`
`static int` `GDinqgrid(String filename, String[] name_list)`
`static int` `GDnentries(int grid_id, int HDFE_mode, int[] strSize)`
`static int` `GDopen(String filename, int access)`
`static int` `GDprojinfo(int grid_id, int[] proj, int[] zone, int[] sphr, double[] parm)`
`static int` `GDreadfield(int swath_id, String name, int[] start, int[] stride, int[] edge, byte[] data)`
`static int` `GDreadfield(int swath_id, String name, int[] start, int[] stride, int[] edge, double[] data)`
`static int` `GDreadfield(int swath_id, String name, int[] start, int[] stride, int[] edge, float[] data)`
`static int` `GDreadfield(int swath_id, String name, int[] start, int[] stride, int[] edge, int[] data)`
`static int` `GDreadfield(int swath_id, String name, int[] start, int[] stride, int[] edge, short[] data)`
`static int` `GetNumericAttr(int sd_id, String sds_name, String attr_name, double[] value)`
`static int` `SDattrinfo(int sd_id, String sds_name, String attr_name)`
`static int` `SWattach(int file_id, String swath_name)`
`static int` `SWfdims(int swath_id, String type, String name, int[] strSize)`
`static int` `SWfieldinfo(int swath_id, String name, String[] list, int[] rank, int[] length, int[] type)`
`static int` `SWinqdatafields(int swath_id, int size, String[] list, int[] ranks, int[] types)`
`static int` `SWinqdims(int swath_id, int size, String[] dimList, int[] lengths)`
`static int` `SWinqgeofields(int swath_id, int size, String[] list, int[] ranks, int[] types)`
`static int` `SWinqmaps(int swath_id, int size, String[] maps, int[] offsets, int[] increments)`
`static int` `SWinqswath(String filename, String[] name_list)`
`static int` `SWnentries(int swath_id, int HDFE_mode, int[] strSize)`
`static int` `SWopen(String filename, int access)`
`static int` `SWreadfield(int swath_id, String name, int[] start, int[] stride, int[] edge, byte[] data)`
`static int` `SWreadfield(int swath_id, String name, int[] start, int[] stride, int[] edge, double[] data)`
`static int` `SWreadfield(int swath_id, String name, int[] start, int[] stride, int[] edge, float[] data)`
`static int` `SWreadfield(int swath_id, String name, int[] start, int[] stride, int[] edge, int[] data)`
`static int` `SWreadfield(int swath_id, String name, int[] start, int[] stride, int[] edge, short[] data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DFACC_READ

    public static final int DFACC_READ

See Also:
  Constant Field Values

### G_MAPS

    public static final int G_MAPS

See Also:
  Constant Field Values

### D_FIELDS

    public static final int D_FIELDS

See Also:
  Constant Field Values

### G_FIELDS

    public static final int G_FIELDS

See Also:
  Constant Field Values

### N_DIMS

    public static final int N_DIMS

See Also:
  Constant Field Values

### G_TYPE

    public static final String G_TYPE

See Also:
  Constant Field Values

### D_TYPE

    public static final String D_TYPE

See Also:
  Constant Field Values

### HDFE_mode

    public static final int HDFE_mode

See Also:
  Constant Field Values

### BYTE

    public static final int BYTE

See Also:
  Constant Field Values

### U_BYTE

    public static final int U_BYTE

See Also:
  Constant Field Values

### SHORT

    public static final int SHORT

See Also:
  Constant Field Values

### U_SHORT

    public static final int U_SHORT

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

Constructor Detail

### HdfeosLib

    public HdfeosLib()

Method Detail

### EHclose

    public static int EHclose(int file_id)

### EHchkfid

    public static int EHchkfid(int file_id,
                               String name,
                               int[] HDFfid,
                               int[] sd_id,
                               byte[] acc)

### EHgetcal

    public static int EHgetcal(int sd_id,
                               int sds_idx,
                               double[] cal,
                               double[] cal_err,
                               double[] off,
                               double[] off_err,
                               int[] type)

### GetNumericAttr

    public static int GetNumericAttr(int sd_id,
                                     String sds_name,
                                     String attr_name,
                                     double[] value)

### SDattrinfo

    public static int SDattrinfo(int sd_id,
                                 String sds_name,
                                 String attr_name)

### GDinqattrs

    public static int GDinqattrs(int grid_id,
                                 String[] attr_list)

### GDprojinfo

    public static int GDprojinfo(int grid_id,
                                 int[] proj,
                                 int[] zone,
                                 int[] sphr,
                                 double[] parm)

### GDgridinfo

    public static int GDgridinfo(int grid_id,
                                 int[] xsiz,
                                 int[] ysiz,
                                 double[] uprL,
                                 double[] lwrR)

### SWinqswath

    public static int SWinqswath(String filename,
                                 String[] name_list)

### GDinqgrid

    public static int GDinqgrid(String filename,
                                String[] name_list)

### SWinqdims

    public static int SWinqdims(int swath_id,
                                int size,
                                String[] dimList,
                                int[] lengths)

### GDinqdims

    public static int GDinqdims(int grid_id,
                                int size,
                                String[] dimList,
                                int[] lengths)

### SWopen

    public static int SWopen(String filename,
                             int access)

### GDopen

    public static int GDopen(String filename,
                             int access)

### SWattach

    public static int SWattach(int file_id,
                               String swath_name)

### GDattach

    public static int GDattach(int file_id,
                               String grid_name)

### SWinqdatafields

    public static int SWinqdatafields(int swath_id,
                                      int size,
                                      String[] list,
                                      int[] ranks,
                                      int[] types)

### SWinqgeofields

    public static int SWinqgeofields(int swath_id,
                                     int size,
                                     String[] list,
                                     int[] ranks,
                                     int[] types)

### GDinqfields

    public static int GDinqfields(int grid_id,
                                  int size,
                                  String[] list,
                                  int[] ranks,
                                  int[] types)

### SWinqmaps

    public static int SWinqmaps(int swath_id,
                                int size,
                                String[] maps,
                                int[] offsets,
                                int[] increments)

### SWnentries

    public static int SWnentries(int swath_id,
                                 int HDFE_mode,
                                 int[] strSize)

### GDnentries

    public static int GDnentries(int grid_id,
                                 int HDFE_mode,
                                 int[] strSize)

### SWfieldinfo

    public static int SWfieldinfo(int swath_id,
                                  String name,
                                  String[] list,
                                  int[] rank,
                                  int[] length,
                                  int[] type)

### GDfieldinfo

    public static int GDfieldinfo(int grid_id,
                                  String name,
                                  String[] list,
                                  int[] rank,
                                  int[] length,
                                  int[] type)

### SWfdims

    public static int SWfdims(int swath_id,
                              String type,
                              String name,
                              int[] strSize)

### GDfdims

    public static int GDfdims(int swath_id,
                              String name,
                              int[] strSize)

### SWreadfield

    public static int SWreadfield(int swath_id,
                                  String name,
                                  int[] start,
                                  int[] stride,
                                  int[] edge,
                                  float[] data)

### SWreadfield

    public static int SWreadfield(int swath_id,
                                  String name,
                                  int[] start,
                                  int[] stride,
                                  int[] edge,
                                  double[] data)

### SWreadfield

    public static int SWreadfield(int swath_id,
                                  String name,
                                  int[] start,
                                  int[] stride,
                                  int[] edge,
                                  int[] data)

### SWreadfield

    public static int SWreadfield(int swath_id,
                                  String name,
                                  int[] start,
                                  int[] stride,
                                  int[] edge,
                                  short[] data)

### SWreadfield

    public static int SWreadfield(int swath_id,
                                  String name,
                                  int[] start,
                                  int[] stride,
                                  int[] edge,
                                  byte[] data)

### GDreadfield

    public static int GDreadfield(int swath_id,
                                  String name,
                                  int[] start,
                                  int[] stride,
                                  int[] edge,
                                  float[] data)

### GDreadfield

    public static int GDreadfield(int swath_id,
                                  String name,
                                  int[] start,
                                  int[] stride,
                                  int[] edge,
                                  double[] data)

### GDreadfield

    public static int GDreadfield(int swath_id,
                                  String name,
                                  int[] start,
                                  int[] stride,
                                  int[] edge,
                                  int[] data)

### GDreadfield

    public static int GDreadfield(int swath_id,
                                  String name,
                                  int[] start,
                                  int[] stride,
                                  int[] edge,
                                  short[] data)

### GDreadfield

    public static int GDreadfield(int swath_id,
                                  String name,
                                  int[] start,
                                  int[] stride,
                                  int[] edge,
                                  byte[] data)